﻿using ApplicationTest2010CS.Configuration;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Configuration;
using AppConfigCodeGeneratorUnitTest.Configuration;

namespace AppConfigCodeGeneratorUnitTest
{


    /// <summary>
    ///This is a test class for AppConfigCodeGeneratorUnitTestConfigurationTest and is intended
    ///to contain all AppConfigCodeGeneratorUnitTestConfigurationTest Unit Tests
    ///</summary>
    [TestClass()]
    [DeploymentItem("App.config")]
    public class AppConfigCodeGeneratorUnitTestConfigurationTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for Bool1
        ///</summary>
        [TestMethod()]
        public void Bool1Test()
        {
            bool expected = true;
            bool actual;
            // Read
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Bool1;
            Assert.AreEqual(expected, actual);
            // Modify
            expected = false;
            AppConfigCodeGeneratorUnitTestConfiguration.Bool1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Bool1;
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for Bool2
        ///</summary>
        [TestMethod()]
        public void Bool2Test()
        {
            bool expected = false;
            bool actual;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Bool2;
            Assert.AreEqual(expected, actual);
            // Modify
            expected = true;
            AppConfigCodeGeneratorUnitTestConfiguration.Bool2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Bool2;
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for Bool3
        ///</summary>
        [TestMethod()]
        public void Bool3Test()
        {
            bool expected = true;
            bool actual;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Bool3;
            Assert.AreEqual(expected, actual);
            // Modify
            expected = false;
            AppConfigCodeGeneratorUnitTestConfiguration.Bool3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Bool3;
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for BoolA1
        ///</summary>
        [TestMethod()]
        public void BoolA1Test()
        {
            bool[] expected = new bool[] { false, false };
            bool[] actual;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.BoolA1;
            CollectionAssert.AreEqual(expected, actual);
            // Modify
            expected = new bool[] { true, false, true, false };
            AppConfigCodeGeneratorUnitTestConfiguration.BoolA1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.BoolA1;
            CollectionAssert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for BoolA2
        ///</summary>
        [TestMethod()]
        public void BoolA2Test()
        {
            bool[] expected = new bool[0];
            bool[] actual;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.BoolA2;
            CollectionAssert.AreEqual(expected, actual);
            // Modify
            expected = new bool[] { true, false, true, false };
            AppConfigCodeGeneratorUnitTestConfiguration.BoolA2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.BoolA2;
            CollectionAssert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for BoolA3
        ///</summary>
        [TestMethod()]
        public void BoolA3Test()
        {
            bool[] expected = new bool[] {false};
            bool[] actual;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.BoolA3;
            CollectionAssert.AreEqual(expected, actual);
            // Modify
            expected = new bool[] { false, true, false }; 
            AppConfigCodeGeneratorUnitTestConfiguration.BoolA3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.BoolA3;
            CollectionAssert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for BoolAS1
        ///</summary>
        [TestMethod()]
        public void BoolAS1Test()
        {
            bool[] expected = new bool[] { false, false };
            bool[] actual;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.BoolAS1;
            CollectionAssert.AreEqual(expected, actual);
            // Modify
            expected = new bool[] { false, true, false };
            AppConfigCodeGeneratorUnitTestConfiguration.BoolAS1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.BoolAS1;
            CollectionAssert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for BoolAS2
        ///</summary>
        [TestMethod()]
        public void BoolAS2Test()
        {
            bool[] expected = new bool[0];
            bool[] actual;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.BoolAS2;
            CollectionAssert.AreEqual(expected, actual);
            // Modify
            expected = new bool[] { false, true, false };
            AppConfigCodeGeneratorUnitTestConfiguration.BoolAS2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.BoolAS2;
            CollectionAssert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for BoolAS3
        ///</summary>
        [TestMethod()]
        public void BoolAS3Test()
        {
            bool[] expected = new bool[] { false };
            bool[] actual;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.BoolAS3;
            CollectionAssert.AreEqual(expected, actual);
            // Modify
            expected = new bool[] { false, true, false };
            AppConfigCodeGeneratorUnitTestConfiguration.BoolAS3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.BoolAS3;
            CollectionAssert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for Char1
        ///</summary>
        [TestMethod()]
        public void Char1Test()
        {
            char expected = '\0'; // TODO: Initialize to an appropriate value
            char actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Char1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Char1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Char2
        ///</summary>
        [TestMethod()]
        public void Char2Test()
        {
            char expected = '\0'; // TODO: Initialize to an appropriate value
            char actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Char2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Char2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Char3
        ///</summary>
        [TestMethod()]
        public void Char3Test()
        {
            char expected = '\0'; // TODO: Initialize to an appropriate value
            char actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Char3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Char3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for CharA1
        ///</summary>
        [TestMethod()]
        public void CharA1Test()
        {
            char[] expected = null; // TODO: Initialize to an appropriate value
            char[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.CharA1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.CharA1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for CharA2
        ///</summary>
        [TestMethod()]
        public void CharA2Test()
        {
            char[] expected = null; // TODO: Initialize to an appropriate value
            char[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.CharA2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.CharA2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for CharA3
        ///</summary>
        [TestMethod()]
        public void CharA3Test()
        {
            char[] expected = null; // TODO: Initialize to an appropriate value
            char[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.CharA3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.CharA3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for CharAS1
        ///</summary>
        [TestMethod()]
        public void CharAS1Test()
        {
            char[] expected = null; // TODO: Initialize to an appropriate value
            char[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.CharAS1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.CharAS1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for CharAS2
        ///</summary>
        [TestMethod()]
        public void CharAS2Test()
        {
            char[] expected = null; // TODO: Initialize to an appropriate value
            char[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.CharAS2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.CharAS2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for CharAS3
        ///</summary>
        [TestMethod()]
        public void CharAS3Test()
        {
            char[] expected = null; // TODO: Initialize to an appropriate value
            char[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.CharAS3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.CharAS3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Datas
        ///</summary>
        [TestMethod()]
        public void DatasTest()
        {
            ConnectionStringSettings actual;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Datas;
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Datetime1
        ///</summary>
        [TestMethod()]
        public void Datetime1Test()
        {
            DateTime expected = new DateTime(); // TODO: Initialize to an appropriate value
            DateTime actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Datetime1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Datetime1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Datetime2
        ///</summary>
        [TestMethod()]
        public void Datetime2Test()
        {
            DateTime expected = new DateTime(); // TODO: Initialize to an appropriate value
            DateTime actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Datetime2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Datetime2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Datetime3
        ///</summary>
        [TestMethod()]
        public void Datetime3Test()
        {
            DateTime expected = new DateTime(); // TODO: Initialize to an appropriate value
            DateTime actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Datetime3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Datetime3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DatetimeA1
        ///</summary>
        [TestMethod()]
        public void DatetimeA1Test()
        {
            DateTime[] expected = null; // TODO: Initialize to an appropriate value
            DateTime[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DatetimeA1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DatetimeA1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DatetimeA2
        ///</summary>
        [TestMethod()]
        public void DatetimeA2Test()
        {
            DateTime[] expected = null; // TODO: Initialize to an appropriate value
            DateTime[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DatetimeA2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DatetimeA2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DatetimeA3
        ///</summary>
        [TestMethod()]
        public void DatetimeA3Test()
        {
            DateTime[] expected = null; // TODO: Initialize to an appropriate value
            DateTime[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DatetimeA3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DatetimeA3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DatetimeAS1
        ///</summary>
        [TestMethod()]
        public void DatetimeAS1Test()
        {
            DateTime[] expected = null; // TODO: Initialize to an appropriate value
            DateTime[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DatetimeAS1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DatetimeAS1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DatetimeAS2
        ///</summary>
        [TestMethod()]
        public void DatetimeAS2Test()
        {
            DateTime[] expected = null; // TODO: Initialize to an appropriate value
            DateTime[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DatetimeAS2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DatetimeAS2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DatetimeAS3
        ///</summary>
        [TestMethod()]
        public void DatetimeAS3Test()
        {
            DateTime[] expected = null; // TODO: Initialize to an appropriate value
            DateTime[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DatetimeAS3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DatetimeAS3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Decimal1
        ///</summary>
        [TestMethod()]
        public void Decimal1Test()
        {
            Decimal expected = new Decimal(); // TODO: Initialize to an appropriate value
            Decimal actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Decimal1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Decimal1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Decimal2
        ///</summary>
        [TestMethod()]
        public void Decimal2Test()
        {
            Decimal expected = new Decimal(); // TODO: Initialize to an appropriate value
            Decimal actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Decimal2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Decimal2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Decimal3
        ///</summary>
        [TestMethod()]
        public void Decimal3Test()
        {
            Decimal expected = new Decimal(); // TODO: Initialize to an appropriate value
            Decimal actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Decimal3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Decimal3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DecimalA1
        ///</summary>
        [TestMethod()]
        public void DecimalA1Test()
        {
            Decimal[] expected = null; // TODO: Initialize to an appropriate value
            Decimal[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DecimalA1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DecimalA1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DecimalA2
        ///</summary>
        [TestMethod()]
        public void DecimalA2Test()
        {
            Decimal[] expected = null; // TODO: Initialize to an appropriate value
            Decimal[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DecimalA2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DecimalA2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DecimalA3
        ///</summary>
        [TestMethod()]
        public void DecimalA3Test()
        {
            Decimal[] expected = null; // TODO: Initialize to an appropriate value
            Decimal[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DecimalA3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DecimalA3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DecimalAS1
        ///</summary>
        [TestMethod()]
        public void DecimalAS1Test()
        {
            Decimal[] expected = null; // TODO: Initialize to an appropriate value
            Decimal[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DecimalAS1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DecimalAS1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DecimalAS2
        ///</summary>
        [TestMethod()]
        public void DecimalAS2Test()
        {
            Decimal[] expected = null; // TODO: Initialize to an appropriate value
            Decimal[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DecimalAS2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DecimalAS2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DecimalAS3
        ///</summary>
        [TestMethod()]
        public void DecimalAS3Test()
        {
            Decimal[] expected = null; // TODO: Initialize to an appropriate value
            Decimal[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DecimalAS3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DecimalAS3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Double1
        ///</summary>
        [TestMethod()]
        public void Double1Test()
        {
            double expected = 0F; // TODO: Initialize to an appropriate value
            double actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Double1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Double1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Double2
        ///</summary>
        [TestMethod()]
        public void Double2Test()
        {
            double expected = 0F; // TODO: Initialize to an appropriate value
            double actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Double2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Double2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Double3
        ///</summary>
        [TestMethod()]
        public void Double3Test()
        {
            double expected = 0F; // TODO: Initialize to an appropriate value
            double actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Double3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Double3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DoubleA1
        ///</summary>
        [TestMethod()]
        public void DoubleA1Test()
        {
            double[] expected = null; // TODO: Initialize to an appropriate value
            double[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DoubleA1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DoubleA1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DoubleA2
        ///</summary>
        [TestMethod()]
        public void DoubleA2Test()
        {
            double[] expected = null; // TODO: Initialize to an appropriate value
            double[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DoubleA2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DoubleA2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DoubleA3
        ///</summary>
        [TestMethod()]
        public void DoubleA3Test()
        {
            double[] expected = null; // TODO: Initialize to an appropriate value
            double[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DoubleA3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DoubleA3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DoubleAS1
        ///</summary>
        [TestMethod()]
        public void DoubleAS1Test()
        {
            double[] expected = null; // TODO: Initialize to an appropriate value
            double[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DoubleAS1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DoubleAS1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DoubleAS2
        ///</summary>
        [TestMethod()]
        public void DoubleAS2Test()
        {
            double[] expected = null; // TODO: Initialize to an appropriate value
            double[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DoubleAS2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DoubleAS2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DoubleAS3
        ///</summary>
        [TestMethod()]
        public void DoubleAS3Test()
        {
            double[] expected = null; // TODO: Initialize to an appropriate value
            double[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.DoubleAS3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.DoubleAS3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Float1
        ///</summary>
        [TestMethod()]
        public void Float1Test()
        {
            float expected = 0F; // TODO: Initialize to an appropriate value
            float actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Float1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Float1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Float2
        ///</summary>
        [TestMethod()]
        public void Float2Test()
        {
            float expected = 0F; // TODO: Initialize to an appropriate value
            float actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Float2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Float2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Float3
        ///</summary>
        [TestMethod()]
        public void Float3Test()
        {
            float expected = 0F; // TODO: Initialize to an appropriate value
            float actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Float3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Float3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for FloatA1
        ///</summary>
        [TestMethod()]
        public void FloatA1Test()
        {
            float[] expected = null; // TODO: Initialize to an appropriate value
            float[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.FloatA1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.FloatA1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for FloatA2
        ///</summary>
        [TestMethod()]
        public void FloatA2Test()
        {
            float[] expected = null; // TODO: Initialize to an appropriate value
            float[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.FloatA2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.FloatA2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for FloatA3
        ///</summary>
        [TestMethod()]
        public void FloatA3Test()
        {
            float[] expected = null; // TODO: Initialize to an appropriate value
            float[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.FloatA3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.FloatA3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for FloatAS1
        ///</summary>
        [TestMethod()]
        public void FloatAS1Test()
        {
            float[] expected = null; // TODO: Initialize to an appropriate value
            float[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.FloatAS1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.FloatAS1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for FloatAS2
        ///</summary>
        [TestMethod()]
        public void FloatAS2Test()
        {
            float[] expected = null; // TODO: Initialize to an appropriate value
            float[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.FloatAS2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.FloatAS2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for FloatAS3
        ///</summary>
        [TestMethod()]
        public void FloatAS3Test()
        {
            float[] expected = null; // TODO: Initialize to an appropriate value
            float[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.FloatAS3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.FloatAS3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Int1
        ///</summary>
        [TestMethod()]
        public void Int1Test()
        {
            int expected = 0; // TODO: Initialize to an appropriate value
            int actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Int1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Int1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Int2
        ///</summary>
        [TestMethod()]
        public void Int2Test()
        {
            int expected = 0; // TODO: Initialize to an appropriate value
            int actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Int2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Int2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Int3
        ///</summary>
        [TestMethod()]
        public void Int3Test()
        {
            int expected = 0; // TODO: Initialize to an appropriate value
            int actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Int3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Int3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for IntA1
        ///</summary>
        [TestMethod()]
        public void IntA1Test()
        {
            int[] expected = null; // TODO: Initialize to an appropriate value
            int[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.IntA1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.IntA1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for IntA2
        ///</summary>
        [TestMethod()]
        public void IntA2Test()
        {
            int[] expected = null; // TODO: Initialize to an appropriate value
            int[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.IntA2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.IntA2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for IntA3
        ///</summary>
        [TestMethod()]
        public void IntA3Test()
        {
            int[] expected = null; // TODO: Initialize to an appropriate value
            int[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.IntA3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.IntA3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for IntAS1
        ///</summary>
        [TestMethod()]
        public void IntAS1Test()
        {
            int[] expected = null; // TODO: Initialize to an appropriate value
            int[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.IntAS1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.IntAS1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for IntAS2
        ///</summary>
        [TestMethod()]
        public void IntAS2Test()
        {
            int[] expected = null; // TODO: Initialize to an appropriate value
            int[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.IntAS2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.IntAS2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for IntAS3
        ///</summary>
        [TestMethod()]
        public void IntAS3Test()
        {
            int[] expected = null; // TODO: Initialize to an appropriate value
            int[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.IntAS3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.IntAS3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for String1
        ///</summary>
        [TestMethod()]
        public void String1Test()
        {
            string expected = string.Empty; // TODO: Initialize to an appropriate value
            string actual;
            AppConfigCodeGeneratorUnitTestConfiguration.String1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.String1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for String2
        ///</summary>
        [TestMethod()]
        public void String2Test()
        {
            string expected = string.Empty; // TODO: Initialize to an appropriate value
            string actual;
            AppConfigCodeGeneratorUnitTestConfiguration.String2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.String2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for String3
        ///</summary>
        [TestMethod()]
        public void String3Test()
        {
            string expected = string.Empty; // TODO: Initialize to an appropriate value
            string actual;
            AppConfigCodeGeneratorUnitTestConfiguration.String3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.String3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for StringA1
        ///</summary>
        [TestMethod()]
        public void StringA1Test()
        {
            string[] expected = null; // TODO: Initialize to an appropriate value
            string[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.StringA1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.StringA1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for StringA2
        ///</summary>
        [TestMethod()]
        public void StringA2Test()
        {
            string[] expected = null; // TODO: Initialize to an appropriate value
            string[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.StringA2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.StringA2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for StringA3
        ///</summary>
        [TestMethod()]
        public void StringA3Test()
        {
            string[] expected = null; // TODO: Initialize to an appropriate value
            string[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.StringA3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.StringA3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for StringAS1
        ///</summary>
        [TestMethod()]
        public void StringAS1Test()
        {
            string[] expected = null; // TODO: Initialize to an appropriate value
            string[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.StringAS1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.StringAS1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for StringAS2
        ///</summary>
        [TestMethod()]
        public void StringAS2Test()
        {
            string[] expected = null; // TODO: Initialize to an appropriate value
            string[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.StringAS2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.StringAS2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for StringAS3
        ///</summary>
        [TestMethod()]
        public void StringAS3Test()
        {
            string[] expected = null; // TODO: Initialize to an appropriate value
            string[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.StringAS3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.StringAS3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Uint1
        ///</summary>
        [TestMethod()]
        public void Uint1Test()
        {
            uint expected = 0; // TODO: Initialize to an appropriate value
            uint actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Uint1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Uint1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Uint2
        ///</summary>
        [TestMethod()]
        public void Uint2Test()
        {
            uint expected = 0; // TODO: Initialize to an appropriate value
            uint actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Uint2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Uint2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Uint3
        ///</summary>
        [TestMethod()]
        public void Uint3Test()
        {
            uint expected = 0; // TODO: Initialize to an appropriate value
            uint actual;
            AppConfigCodeGeneratorUnitTestConfiguration.Uint3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.Uint3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for UintA1
        ///</summary>
        [TestMethod()]
        public void UintA1Test()
        {
            uint[] expected = null; // TODO: Initialize to an appropriate value
            uint[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.UintA1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.UintA1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for UintA2
        ///</summary>
        [TestMethod()]
        public void UintA2Test()
        {
            uint[] expected = null; // TODO: Initialize to an appropriate value
            uint[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.UintA2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.UintA2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for UintA3
        ///</summary>
        [TestMethod()]
        public void UintA3Test()
        {
            uint[] expected = null; // TODO: Initialize to an appropriate value
            uint[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.UintA3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.UintA3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for UintAS1
        ///</summary>
        [TestMethod()]
        public void UintAS1Test()
        {
            uint[] expected = null; // TODO: Initialize to an appropriate value
            uint[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.UintAS1 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.UintAS1;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for UintAS2
        ///</summary>
        [TestMethod()]
        public void UintAS2Test()
        {
            uint[] expected = null; // TODO: Initialize to an appropriate value
            uint[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.UintAS2 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.UintAS2;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for UintAS3
        ///</summary>
        [TestMethod()]
        public void UintAS3Test()
        {
            uint[] expected = null; // TODO: Initialize to an appropriate value
            uint[] actual;
            AppConfigCodeGeneratorUnitTestConfiguration.UintAS3 = expected;
            actual = AppConfigCodeGeneratorUnitTestConfiguration.UintAS3;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }
    }
}
